% macro for Rfactor2.m
clear all;
% de namen van de inlaatbestanden (neerslag)

path = '/home/sacha/Documents/scriptRfactor/data';
mkdir 'Results'
namen = dir(strcat(path, '/*.txt'));
namen = string({namen.name});
nos=size(namen);
nos=nos(2);
Rfac=0;
prevk=0;
%%
for r=1:nos
   
   filename1=char(namen(r));
   
   %filename1 = 'P09_034_2013.txt'
   if (contains(filename1,'KMI'))
    l = length(filename1);
    name=str2double(filename1(l-7:l-4));
    filename = filename1(1:(l-4)); %  name without extension
    script;
    Rfac=Rfac+R(2);
    annR(r)=R(2);
    aantalbuien(r)=R(4);
    aantalerosievebuien(r)=R(5);
   end
   
end
Rfac=Rfac/nos; %gemiddelde lange termijns erosiviteit
sqrdiff=0;
for r=1:nos
   sqrdiff=sqrdiff+((Rfac-annR(r))^2);
end
Rstdev=(sqrdiff/(nos-1))^(1/2);%standaarddeviatie op lange termijnsgemiddelde
   

%berekenen van gemiddelde lange termijns erosiviteitsdistributie (tweewekelijks)
LTP14(1:26)=0;
LTD14(1:26)=0;
LTRm(1:12)=0;
for r=1:nos
   LTP14(1:26)=P14(r,1:26)+LTP14(1:26);
   LTD14(1:26)=D14(r,1:26)+LTD14(1:26);
   LTRm(1:12)=LTRm(1:12)+Rm(r,1:12);
end
LTD14=LTD14/nos; %gemiddelde lange termijns erosiviteitsdistributie (tweewekelijks)
LTD14_percent=LTD14*100/Rfac;
LTRm=LTRm/nos;
LTRm_percent=LTRm*100/Rfac;
LTP14=LTP14/nos;

sqrdiff2(1:26)=0;
sqrdiff3(1:12)=0;
for r=1:nos
   for i=1:26
      sqrdiff2(i)=sqrdiff2(i)+((D14(r,i)-LTD14(i))^2);
   end
   for j=1:12
      sqrdiff3(j)=sqrdiff3(j)+((Rm(r,j)-LTRm(j))^2);
   end
end
for i=1:12
   LTRmstdev(i)=(sqrdiff3(i)/(nos-1))^(1/2);
end
for i=1:26
   LTD14stdev(i)=(sqrdiff2(i)/(nos-1))^(1/2);
end


sqrdiff2(1:26)=0;
sqrdiff3(1:12)=0;
for r=1:nos
   for i=1:26
      sqrdiff2(i)=sqrdiff2(i)+((D14(r,i)-LTD14(i))^2);
   end
   for j=1:12
      sqrdiff3(j)=sqrdiff3(j)+((Rm(r,j)-LTRm(j))^2);
   end
end
for i=1:12
   LTRmstdev(i)=(sqrdiff3(i)/(nos-1))^(1/2);
end
for i=1:26
   LTD14stdev(i)=(sqrdiff2(i)/(nos-1))^(1/2);
end


a=LTD14';
a(:,2)=LTD14_percent';
a(:,3)=LTD14stdev';
a(:,4)=LTP14';
b=LTRm';
b(:,2)=LTRm_percent';
b(:,3)=LTRmstdev';
filename2='LT14day salles 20032017.txt';
filename3='LTmonth salles 20032017.txt';
filename4='Rm salles 20032017.txt';
fid2=fopen(filename2,'w');
fid3=fopen(filename3,'w');
fid4=fopen(filename4,'w');
c=Rm';
fprintf(fid3,'%g %g %g %g %g %g %g %g %g %g %g %g\n',b(:,:));
fprintf(fid2,'%g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g\n',a(:,:));
fprintf(fid4,'%g %g %g %g %g %g %g %g %g %g %g %g\n',c(:,:));
d=annR';
d(:,2)=P(1:r)';
filename5='annualR salles 20032017.txt';
fid5=fopen(filename5,'w');
for i=1:r
    fprintf(fid5,'%g %g\n',d(i,:));
end
filename6='buierosiviteit salles 20032017.txt';
fid6=fopen(filename6,'w');
a=size(buierosiviteit);
b=a(2);
for i=1:b
   fprintf(fid6,'%g %g %g\n',buierosiviteit(:,i));
end


fclose('all');
%%
namen=namen';
annR = annR';
overview = table(namen, annR);
writetable(overview, 'overview.csv');

